# tags user
execute as @s[predicate=overworld] run tag @s add overworld
execute as @s[predicate=nether] run tag @s add nether
execute as @s[predicate=end] run tag @s add end

# tags mobs/players
execute as @s[scores={jjba_ab_2=1,jjba_stat_range=1..2}] at @s run tag @e[type=#jjba:sentient,distance=0.1..2] add cream_portal
execute as @s[scores={jjba_ab_2=1,jjba_stat_range=3..4}] at @s run tag @e[type=#jjba:sentient,distance=0.1..2.5] add cream_portal
execute as @s[scores={jjba_ab_2=1,jjba_stat_range=5}] at @s run tag @e[type=#jjba:sentient,distance=0.1..3] add cream_portal

# teleports user to/from Nether
execute as @s[tag=overworld] at @s in minecraft:the_nether run tp @s ~ ~ ~
execute as @s[tag=nether] at @s in minecraft:overworld run tp @s ~ ~ ~
execute as @s[tag=end] at @s in minecraft:the_nether run tp @s ~ ~ ~

# searches for safe location

execute as @s[tag=overworld,y=128,dy=128] at @s run tp @s ~ 128 ~
execute as @s[tag=overworld,y=-64,dy=64] at @s run tp @s ~ 0 ~
execute as @s[tag=end,y=128,dy=128] at @s run tp @s ~ 128 ~
execute as @s[tag=end,y=-64,dy=64] at @s run tp @s ~ 0 ~

execute as @s[tag=overworld] at @s run spreadplayers ~ ~ 0 16 under 127 false @s
execute as @s[tag=nether] at @s run spreadplayers ~ ~ 0 16 under 255 false @s
execute as @s[tag=end] at @s run spreadplayers ~ ~ 0 16 under 127 false @s

execute at @s run kill @e[type=armor_stand,tag=cream,distance=10..100]

# teleports mobs/players to/from Nether
execute as @s[tag=overworld,scores={jjba_ab_2=1}] at @s in minecraft:the_nether run tp @e[tag=cream_portal] ~ ~ ~
execute as @s[tag=nether,scores={jjba_ab_2=1}] at @s in minecraft:overworld run tp @e[tag=cream_portal] ~ ~ ~
execute as @s[tag=end,scores={jjba_ab_2=1}] at @s in minecraft:the_nether run tp @e[tag=cream_portal] ~ ~ ~

# effects
execute at @s run playsound minecraft:stand.cream_portal master @a ~ ~ ~ 0.44 1
execute at @s run function jjba:stands/cream/transportation/particles

# removes tags
tag @s[tag=overworld] remove overworld
tag @s[tag=nether] remove nether
tag @s[tag=end] remove end
