# disables stand abilities
execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run scoreboard players set @s jjba_deaths 1

# particles
execute at @s run particle minecraft:witch ~ ~0.5 ~ 0.5 1 0.5 1 50
execute at @e[tag=gold_target] run particle minecraft:witch ~ ~0.5 ~ 0.5 1 0.5 1 50

# positive effects

execute as @s[scores={jjba_stat_power=1..2}] run effect give @s minecraft:regeneration 5 5 true
execute as @s[scores={jjba_stat_power=3..4}] run effect give @s minecraft:regeneration 5 10 true
execute as @s[scores={jjba_stat_power=5}] run effect give @s minecraft:regeneration 5 15 true

execute as @s[scores={jjba_stat_power=1..2}] run effect give @s minecraft:saturation 5 0 true
execute as @s[scores={jjba_stat_power=3..4}] run effect give @s minecraft:saturation 5 1 true
execute as @s[scores={jjba_stat_power=5}] run effect give @s minecraft:saturation 5 2 true

execute as @s[scores={jjba_stat_power=1..2,jjba_stat_dur=1..2}] run effect give @s minecraft:strength 5 2 true
execute as @s[scores={jjba_stat_power=3..4,jjba_stat_dur=1..2}] run effect give @s minecraft:strength 5 3 true
execute as @s[scores={jjba_stat_power=5,jjba_stat_dur=1..2}] run effect give @s minecraft:strength 5 4 true

execute as @s[scores={jjba_stat_power=1..2,jjba_stat_dur=3..4}] run effect give @s minecraft:strength 10 2 true
execute as @s[scores={jjba_stat_power=3..4,jjba_stat_dur=3..4}] run effect give @s minecraft:strength 10 3 true
execute as @s[scores={jjba_stat_power=5,jjba_stat_dur=3..4}] run effect give @s minecraft:strength 10 4 true

execute as @s[scores={jjba_stat_power=1..2,jjba_stat_dur=5}] run effect give @s minecraft:strength 15 2 true
execute as @s[scores={jjba_stat_power=3..4,jjba_stat_dur=5}] run effect give @s minecraft:strength 15 3 true
execute as @s[scores={jjba_stat_power=5,jjba_stat_dur=5}] run effect give @s minecraft:strength 15 4 true

execute as @s[scores={jjba_stat_power=1..2}] run effect give @s minecraft:speed 1 0 true
execute as @s[scores={jjba_stat_power=3..4}] run effect give @s minecraft:speed 1 1 true
execute as @s[scores={jjba_stat_power=5}] run effect give @s minecraft:speed 1 2 true

# nullifies projectiles/items/explosions

execute as @s[scores={jjba_stat_range=1}] at @s run execute as @e[type=#jjba:insentient,distance=..10] run function jjba:stands/gold/return_to_zero/projectile
execute as @s[scores={jjba_stat_range=2}] at @s run execute as @e[type=#jjba:insentient,distance=..15] run function jjba:stands/gold/return_to_zero/projectile
execute as @s[scores={jjba_stat_range=3}] at @s run execute as @e[type=#jjba:insentient,distance=..25] run function jjba:stands/gold/return_to_zero/projectile
execute as @s[scores={jjba_stat_range=4}] at @s run execute as @e[type=#jjba:insentient,distance=..35] run function jjba:stands/gold/return_to_zero/projectile
execute as @s[scores={jjba_stat_range=5}] at @s run execute as @e[type=#jjba:insentient,distance=..50] run function jjba:stands/gold/return_to_zero/projectile

execute as @e[tag=gold_target] if entity @s[type=minecraft:creeper] run data merge entity @s {ExplosionRadius:-1}

# negative effects

execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:blindness 3 0 true

execute as @s[scores={jjba_stat_power=1..2,jjba_stat_dur=1..2}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:weakness 5 0 true
execute as @s[scores={jjba_stat_power=3..4,jjba_stat_dur=1..2}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:weakness 5 1 true
execute as @s[scores={jjba_stat_power=5,jjba_stat_dur=1..2}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:weakness 5 2 true

execute as @s[scores={jjba_stat_power=1..2,jjba_stat_dur=3..4}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:weakness 10 0 true
execute as @s[scores={jjba_stat_power=3..4,jjba_stat_dur=3..4}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:weakness 10 1 true
execute as @s[scores={jjba_stat_power=5,jjba_stat_dur=3..4}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:weakness 10 2 true

execute as @s[scores={jjba_stat_power=1..2,jjba_stat_dur=5}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:weakness 15 0 true
execute as @s[scores={jjba_stat_power=3..4,jjba_stat_dur=5}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:weakness 15 1 true
execute as @s[scores={jjba_stat_power=5,jjba_stat_dur=5}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:weakness 15 2 true

execute as @s[scores={jjba_stat_power=1..2}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:slowness 1 0 true
execute as @s[scores={jjba_stat_power=3..4}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:slowness 1 1 true
execute as @s[scores={jjba_stat_power=5}] run execute as @e[tag=gold_target] unless entity @s[tag=gold_rewind] run effect give @s minecraft:slowness 1 2 true

# removes tags
playsound minecraft:stand.gold_rewind master @a ~ ~ ~ 0.56 1
scoreboard players set @s jjba_clock 0
tag @s remove gold_rewind

# stops ability
scoreboard players set @s jjba_cooldown_3 1200
scoreboard players set @s jjba_attack_3 0
