# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/red/stand/summon_stand
execute as @s[scores={jjba_active=21},tag=stand_active] at @s run function jjba:stands/red/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/red/stand/dismiss_stand

# initiates active abilities
execute as @s[scores={jjba_head_f=1}] run tag @s add attack_1
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1}] run tag @s add attack_2

# runs active abilities
execute as @s[tag=attack_1] at @s run function jjba:stands/red/crossfire/ability
execute as @s run execute as @e[tag=crossfired] run function jjba:stands/red/crossfire/burn
execute as @s[tag=attack_2] at @s run function jjba:stands/red/hurricane/ability

# runs passive ability
execute as @s[scores={jjba_ab_2=1,jjba_active=1..}] run effect give @s minecraft:fire_resistance 1 2 true

# bossbars

execute as @s store result bossbar jjba_red_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_red_1 name [{"text":"Cross Fire : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_attack_1=1..}] run bossbar set minecraft:jjba_red_1 name [{"text":"Cross Fire : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_red_1 name [{"text":"Cross Fire : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_red_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_red_2 name [{"text":"Cross Fire Hurricane : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=1..}] run bossbar set minecraft:jjba_red_2 name [{"text":"Cross Fire Hurricane : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_red_2 name [{"text":"Cross Fire Hurricane : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Magician's Red』\"}"},CustomModelData:50001}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
