# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/park/stand/summon_stand
execute as @s[scores={jjba_active=21},tag=stand_active] at @s run function jjba:stands/park/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/park/stand/dismiss_stand

# initiates active abilities

execute as @s[scores={jjba_head_f=1}] run function jjba:stands/park/map/map
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1}] run tag @s add attack_1

execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_1=0}] run scoreboard players add @s jjba_current_ab 1
execute as @s[scores={jjba_current_ab=3..,jjba_stat_power=1}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=5..,jjba_stat_power=2}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=7..,jjba_stat_power=3}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=8..,jjba_stat_power=4}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=9..,jjba_stat_power=5}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_3=0,jjba_current_ab=0}] run tellraw @s ["",{"text":"Current functional block: ","italic":true,"color":"gray"},{"text":"Cartography Table","italic":true,"color":"dark_gray"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_3=0,jjba_current_ab=1}] run tellraw @s ["",{"text":"Current functional block: ","italic":true,"color":"gray"},{"text":"Fletching Table","italic":true,"color":"yellow"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_3=0,jjba_current_ab=2}] run tellraw @s ["",{"text":"Current functional block: ","italic":true,"color":"gray"},{"text":"Loom","italic":true,"color":"gold"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_3=0,jjba_current_ab=3}] run tellraw @s ["",{"text":"Current functional block: ","italic":true,"color":"gray"},{"text":"Stonecutter","italic":true,"color":"gray"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_3=0,jjba_current_ab=4}] run tellraw @s ["",{"text":"Current functional block: ","italic":true,"color":"gray"},{"text":"Grindstone","italic":true,"color":"gray"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_3=0,jjba_current_ab=5}] run tellraw @s ["",{"text":"Current functional block: ","italic":true,"color":"gray"},{"text":"Crafting Table","italic":true,"color":"gold"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_3=0,jjba_current_ab=6}] run tellraw @s ["",{"text":"Current functional block: ","italic":true,"color":"gray"},{"text":"Smithing Table","italic":true,"color":"dark_gray"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_3=0,jjba_current_ab=7}] run tellraw @s ["",{"text":"Current functional block: ","italic":true,"color":"gray"},{"text":"Enchanting Table","italic":true,"color":"dark_red"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=1,jjba_attack_3=0,jjba_current_ab=8}] run tellraw @s ["",{"text":"Current functional block: ","italic":true,"color":"gray"},{"text":"Ender Chest","italic":true,"color":"dark_purple"}]

# runs active abilities
execute as @s[tag=attack_1] at @s run function jjba:stands/park/technology/ability

# runs passive ability
execute as @s[scores={jjba_ab_2=1}] at @s run function jjba:stands/park/choice/choice

# bossbars

execute as @s[scores={jjba_ab_3=1}] store result bossbar jjba_park_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_ab_3=1,jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_park_1 name [{"text":"Technology : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_1=1..}] run bossbar set minecraft:jjba_park_1 name [{"text":"Technology : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_park_1 name [{"text":"Technology : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

title @s actionbar [{"text":"Map/Marker : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to use","color":"yellow"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Paisley Park』\"}"},CustomModelData:240001}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
