# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/purple/stand/summon_stand
execute as @s[scores={jjba_active=1..},tag=stand_active] at @s run function jjba:stands/purple/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/purple/stand/dismiss_stand

# initiates active abilities
execute as @s[scores={jjba_head_F=1}] run tag @s add attack_1
execute as @s[scores={jjba_head_f=1,jjba_ab_2=1}] run function jjba:stands/purple/locate
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1}] run tag @s add attack_2

# runs active abilities
execute as @s[tag=attack_1] at @s run function jjba:stands/purple/divination/ability
execute as @s[tag=attack_2] at @s run function jjba:stands/purple/capture/ability

# bossbars

execute as @s store result bossbar jjba_purple_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_purple_1 name [{"text":"Divination : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.sneak","color":"yellow"},{"text":"+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_attack_1=1..}] run bossbar set minecraft:jjba_purple_1 name [{"text":"Divination","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_purple_1 name [{"text":"Divination : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.sneak","color":"dark_gray"},{"text":"+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_purple_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_purple_2 name [{"text":"Capture : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_attack_2=1..}] run bossbar set minecraft:jjba_purple_2 name [{"text":"Capture : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_purple_2 name [{"text":"Capture : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s[scores={jjba_ab_2=1}] run title @s actionbar [{"text":"Locate : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to use","color":"yellow"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Hermit Purple』\"}"},CustomModelData:60001}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
